Package: jericho-html
Version: 3.1-1
Severity: normal
Tags: patch
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear Maintainer,

In Ubuntu, the attached patch was applied to achieve the following:

  * Fix FTBFS with OpenJDK7 (LP: #888949):
    - d/ant.properties: Specify source/target as 1.5 for javac and
      javadoc ant tasks to ensure backwards compatibility and work
      around Java 7 encoding errors.

Thanks for considering the patch.


- -- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 
'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-generic (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJO4MZHAAoJEL/srsug59jDjX4QAKR/KenEcl2L1nsj+8PgiGYC
oqTe0R/TULDpNFQGb3t9vYS9174HMHwH4vil2M69z5l0KL7LIu3RJfJB59mTkiDR
Yl3WxHw6vUGYYnrGQYyzYCkN0QGb1w8IKPymA6VFd4K/MMVyv0ixgb1YLydySA82
iqyD/zzFx2sUmaM3LrJG6a8gjusIBxrxFh9hniOPJRoMRV7OfjRCk60cg72cks4i
m6NLCOXtA6YgOgshzISnK4asLmWCIeW+3fk6xJy0iOmCpKg9O8P5mzCAqdlKFpIh
a/be/PtGGHV+KwvKYANRtXWHdOzb00OrSQnf63E+7rQ++ZUjhtenyMJQg7p0yWH2
jHtadksiLTdkvj8/vWoHe7/zpB4W08WwBD6Ae/yOzEqi2hDBxtXFR9JO2kznFn7g
bb/fafFJAXdwiffV69ncyT6Jnesz49qygoI9j1aNyVuGG+DW7cxT1NxMIFhObFr9
MBwgKlN+HTAzo5HrCLUi4IMLDO23I7BoqhZDm1Dl+R58lncpv1Z7hcTehLbyswW1
6IW5xm2OrMhf3rbuIxQH4628GsDpNAF5iCx8KRHQ12bTx6yAvhfdL0xkxvwdSQeu
PL+E3gBbvwlkpt7WQVR2tYxqVa+jduSVf/LkY2pkiVmSngNZTiuxpPn9ykuhTep1
ISvr/ciQqPd2jOY6JI3d
=Tb29
-----END PGP SIGNATURE-----
=== modified file 'debian/ant.properties'
--- debian/ant.properties	2008-02-25 10:41:24 +0000
+++ debian/ant.properties	2011-12-08 14:09:12 +0000
@@ -1,4 +1,7 @@
 jarfile=jericho-html.jar
 installdir=/usr/share/java
 installdocdir=/usr/share/doc/libjericho-html-java
-
+# Ensure that source and target are 1.5
+# For backwards compat on Java 7
+ant.build.javac.source=1.5
+ant.build.javac.target=1.5

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to